summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-12-03 11:28:16 +0200
committerMart Raudsepp <leio@gentoo.org>2018-12-03 13:24:03 +0200
commitf9bd6ea53a7ee2d9df401ac2cfb05755c4d39667 (patch)
treeef69964594c278c95350bf7b2ffaa409ca5227f1 /media-gfx
parentdev-vcs/git: Bump to version 2.20.0_rc2. Removed old. (diff)
downloadgentoo-f9bd6ea53a7ee2d9df401ac2cfb05755c4d39667.tar.gz
gentoo-f9bd6ea53a7ee2d9df401ac2cfb05755c4d39667.tar.bz2
gentoo-f9bd6ea53a7ee2d9df401ac2cfb05755c4d39667.zip
media-gfx/gthumb: bump to 3.6.2
Remove yelp-tools dep - only itstool is needed, not full yelp-tools dev stack. Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.52, Repoman-2.3.11
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/gthumb/Manifest1
-rw-r--r--media-gfx/gthumb/gthumb-3.6.2.ebuild95
2 files changed, 96 insertions, 0 deletions
diff --git a/media-gfx/gthumb/Manifest b/media-gfx/gthumb/Manifest
index c7d74eae5be..34939bdbe32 100644
--- a/media-gfx/gthumb/Manifest
+++ b/media-gfx/gthumb/Manifest
@@ -1 +1,2 @@
DIST gthumb-3.6.1.tar.xz 3415564 BLAKE2B 363c1c927557f69a4dc0980174b31dd414267c0110205b4406f7fbf02953fd9ad00255d327363c6dcab663e10401b42a7aa23bc33796e944540ad21e778db67d SHA512 8b545626b041f91b8a3ad9caa5930aa431529f660c5a705efff667c78ddccd25683e598f7b1fc08f8e73553cedec00f0187387833e6081f504fc67ebd86f7a42
+DIST gthumb-3.6.2.tar.xz 3423044 BLAKE2B ff5fd805c07c969f8e50960cdd36df9b3ef9ddedcaca66578416fc4f602fedf4f1698fec54cda77521c88774e8e309b996123ade9a633df1ffc34bb60cef0ff5 SHA512 5fc5cc43b16b51438403fbb986286d5e66575162be7b4cf35931dd0c41273933f78c210aaf2379e0a2574df6f7f7b2d532d87ce37fbc6369b65331bac338a454
diff --git a/media-gfx/gthumb/gthumb-3.6.2.ebuild b/media-gfx/gthumb/gthumb-3.6.2.ebuild
new file mode 100644
index 00000000000..1eab1eda6c7
--- /dev/null
+++ b/media-gfx/gthumb/gthumb-3.6.2.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2
+
+DESCRIPTION="Image viewer and browser for Gnome"
+HOMEPAGE="https://wiki.gnome.org/Apps/gthumb"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="cdr colord debug exif gnome-keyring gstreamer http jpeg json lcms raw slideshow svg tiff test webkit webp"
+
+RDEPEND="
+ >=dev-libs/glib-2.36.0:2[dbus]
+ >=x11-libs/gtk+-3.16.0:3
+ exif? ( >=media-gfx/exiv2-0.21:= )
+ slideshow? (
+ >=media-libs/clutter-1.12.0:1.0
+ >=media-libs/clutter-gtk-1:1.0 )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0 )
+ raw? ( >=media-libs/libraw-0.14:= )
+ http? ( >=net-libs/libsoup-2.42.0:2.4 )
+ gnome-keyring? ( >=app-crypt/libsecret-0.11 )
+ cdr? ( >=app-cdr/brasero-3.2 )
+ svg? ( >=gnome-base/librsvg-2.34:2 )
+ webp? ( >=media-libs/libwebp-0.2.0 )
+ json? ( >=dev-libs/json-glib-0.15.0 )
+ webkit? ( >=net-libs/webkit-gtk-1.10.0:4 )
+ lcms? ( >=media-libs/lcms-2.6:2 )
+ colord? ( >=x11-misc/colord-1.3
+ >=media-libs/lcms-2.6:2 )
+
+ media-libs/libpng:0=
+ sys-libs/zlib
+ >=gnome-base/gsettings-desktop-schemas-0.1.4
+ jpeg? ( virtual/jpeg:0= )
+ tiff? ( media-libs/tiff:= )
+"
+DEPEND="${RDEPEND}
+ dev-util/glib-utils
+ >=dev-util/intltool-0.50.1
+ dev-util/itstool
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+ test? ( ~app-text/docbook-xml-dtd-4.1.2 )
+"
+# eautoreconf needs:
+# gnome-base/gnome-common
+
+src_prepare() {
+ # Remove unwanted CFLAGS added with USE=debug
+ sed -e 's/CFLAGS="$CFLAGS -g -O0 -DDEBUG"//' \
+ -i configure.ac -i configure || die
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Upstream says in configure help that libchamplain support
+ # crashes frequently
+ local myeconfargs=(
+ --disable-static
+ --disable-libchamplain
+ $(use_enable cdr libbrasero)
+ $(use_enable colord)
+ $(use_enable debug)
+ $(use_enable exif exiv2)
+ $(use_enable gnome-keyring libsecret)
+ $(use_enable gstreamer)
+ $(use_enable http libsoup)
+ $(use_enable jpeg)
+ $(use_enable json libjson-glib)
+ $(use_enable raw libraw)
+ $(use_enable slideshow clutter)
+ $(use_enable svg librsvg)
+ $(use_enable test test-suite)
+ $(use_enable tiff)
+ $(use_enable webkit webkit2)
+ $(use_enable webp libwebp)
+ )
+ # colord pulls in lcms2 anyway, so enable lcms with USE="colord -lcms"; some of upstream HAVE_COLORD code depends on HAVE_LCMS2
+ if use lcms || use colord; then
+ myeconfargs+=( --enable-lcms2 )
+ else
+ myeconfargs+=( --disable-lcms2 )
+ fi
+ gnome2_src_configure "${myeconfargs[@]}"
+}